Skip to main content
`Ctrl`+`K`

# BVRestoreSplitRows

Restore the BV objects obtained with `BVGetSplitRows()`.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVRestoreSplitRows(BV bv,IS isup,IS islo,BV *U,BV *L)

Logically Collective

## Input Parameters

- bv - the basis vectors context

- isup - the index set that defines the upper part of the horizontal splitting

- islo - the index set that defines the lower part of the horizontal splitting

- U - the `BV` containing the upper rows

- L - the `BV` containing the lower rows

## Note

The arguments must match the corresponding call to `BVGetSplitRows()`.

## See Also

BV: Basis Vectors, `BVGetSplitRows()`

## Level

advanced

## Location

src/sys/classes/bv/interface/bvbasic.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages